Get a Monitor
curl --request GET \
--url https://api.spidra.io/api/monitors/{monitorId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spidra.io/api/monitors/{monitorId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spidra.io/api/monitors/{monitorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spidra.io/api/monitors/{monitorId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spidra.io/api/monitors/{monitorId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spidra.io/api/monitors/{monitorId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spidra.io/api/monitors/{monitorId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"monitor": {
"id": "<string>",
"name": "<string>",
"status": "active",
"sources": [
{
"kind": "template",
"id": "<string>",
"label": "<string>",
"template": "<string>",
"inputs": {},
"presetId": "<string>",
"urls": [
"<string>"
]
}
],
"schedule": {
"every": "5m",
"at": "<string>",
"day": 3,
"cron": "<string>",
"timezone": "<string>"
},
"cron": "<string>",
"alertOn": "<string>",
"watchFields": [
"<string>"
],
"rule": {
"field": "<string>",
"op": "lt",
"value": 123
},
"goal": "<string>",
"notify": {
"email": {
"enabled": true,
"recipients": [
"<string>"
]
},
"webhook": {
"url": "<string>",
"secret": "<string>"
},
"slack": {
"webhookUrl": "<string>"
},
"discord": {
"webhookUrl": "<string>"
}
},
"nextRunAt": "2023-11-07T05:31:56Z",
"lastCheckAt": "2023-11-07T05:31:56Z",
"lastChangeAt": "2023-11-07T05:31:56Z",
"lastStatus": "<string>",
"lastSummary": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Monitors
Get a Monitor
One monitor with its sources, schedule, alert settings and last result.
GET
/
monitors
/
{monitorId}
Get a Monitor
curl --request GET \
--url https://api.spidra.io/api/monitors/{monitorId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spidra.io/api/monitors/{monitorId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spidra.io/api/monitors/{monitorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spidra.io/api/monitors/{monitorId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.spidra.io/api/monitors/{monitorId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.spidra.io/api/monitors/{monitorId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spidra.io/api/monitors/{monitorId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"monitor": {
"id": "<string>",
"name": "<string>",
"status": "active",
"sources": [
{
"kind": "template",
"id": "<string>",
"label": "<string>",
"template": "<string>",
"inputs": {},
"presetId": "<string>",
"urls": [
"<string>"
]
}
],
"schedule": {
"every": "5m",
"at": "<string>",
"day": 3,
"cron": "<string>",
"timezone": "<string>"
},
"cron": "<string>",
"alertOn": "<string>",
"watchFields": [
"<string>"
],
"rule": {
"field": "<string>",
"op": "lt",
"value": 123
},
"goal": "<string>",
"notify": {
"email": {
"enabled": true,
"recipients": [
"<string>"
]
},
"webhook": {
"url": "<string>",
"secret": "<string>"
},
"slack": {
"webhookUrl": "<string>"
},
"discord": {
"webhookUrl": "<string>"
}
},
"nextRunAt": "2023-11-07T05:31:56Z",
"lastCheckAt": "2023-11-07T05:31:56Z",
"lastChangeAt": "2023-11-07T05:31:56Z",
"lastStatus": "<string>",
"lastSummary": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}curl "https://api.spidra.io/api/monitors/d6761e12-b011-4633-a593-fa6be2ef466c" \
-H "Authorization: Bearer $SPIDRA_API_KEY"
{
"status": "success",
"monitor": {
"id": "d6761e12-b011-4633-a593-fa6be2ef466c",
"name": "Docs test page",
"status": "active",
"sources": [{ "id": "ae22524a61ad", "kind": "urls", "urls": ["https://httpbin.org/uuid"], "label": "httpbin.org" }],
"schedule": { "every": "1d", "at": "09:00", "timezone": "Africa/Lagos" },
"cron": "0 9 * * *",
"alertOn": "page",
"watchFields": [],
"rule": null,
"goal": null,
"notify": { "email": { "enabled": false } },
"nextRunAt": "2026-10-25T08:00:00.000Z",
"lastCheckAt": "2026-10-24T18:51:34.000Z",
"lastChangeAt": "2026-10-24T18:51:34.000Z",
"lastStatus": "completed",
"lastSummary": "1 page changed",
"createdAt": "2026-10-24T18:50:07.000Z",
"updatedAt": "2026-10-24T18:50:07.000Z"
}
}
nextRunAtisnullwhile the monitor is paused. Times are UTC.lastSummaryis the last check in a few words: “3 new”, “No change”, “Price dropped on 1 item”.- With a webhook,
notify.webhook.secretholds the signing secret, including one Spidra generated for you.
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The monitor's ID.
Was this page helpful?

